import * as React from 'react';
import {SelectField, useCommunication} from "@rx-suite/ui";
import {observer} from "mobx-react-lite";
import {compareVersions} from "compare-versions";
import {RxModulePackageStore} from "../../../stores/RxModulePackageStore";

type Props = {
    module: string,
    onChange: (name?: string, value?: string) => void,
    value: string
}
export const VersionSelect: React.FunctionComponent<Props> = observer(({ onChange, value, module }) => {
    const data = RxModulePackageStore.data.get(module)

    const versions = data ? data.versions as Array<string> : [];
    const options = versions.slice().sort(compareVersions).reverse().map((v: string) => ({ label: v, value: v }));

    return(
        <SelectField loading={RxModulePackageStore.isLoading} options={options} onChange={onChange} value={value} />
    )
});