import * as React from 'react';
import {green, red} from "@material-ui/core/colors";
import {CheckCircle, Error} from "@material-ui/icons";
import {makeStyles} from "@material-ui/core/styles";

const useStyles = makeStyles({
    error: {
        color: red[500]
    },
    success: {
        color: green[500]
    }
});

type Props = {
    reachable: boolean
}

export const AppStatusIcon: React.FunctionComponent<Props> = ({reachable}) => {
    const classes = useStyles();

    if (reachable) {
        return <CheckCircle className={classes.success}/>
    } else {
        return <Error className={classes.error}/>
    }
}